Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.auth
Class Authenticate

    java.lang.Object
      weblogic.security.auth.Authenticate

public final class Authenticate
extends Object

Authenticate a user and add Principals to the Subject.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Authenticate()`

Method Summary
`static void` | `authenticate(Environment env, Subject subject)` Execute WLS client login using supplied environment parameters, add authenticated user to subject
`static void` | `logout(Subject subject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authenticate

    public Authenticate()

Method Detail

### authenticate

    public static void authenticate(Environment env,
                                    Subject subject)
                             throws LoginException,
                                    IOException,
                                    RemoteException

  Execute WLS client login using supplied environment parameters, add authenticated user to subject

  Throws:
    `LoginException`
    `IOException`
    `RemoteException`

### logout

    public static void logout(Subject subject)
                       throws LoginException,
                              IOException,
                              RemoteException

  Throws:
    `LoginException`
    `IOException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD